Get user info
/trusted_identity
Target audience: Developers
Get user info¶
Introduction¶
This endpoint fetches the user info received when the user authenticated themselves and the identification was created. The information returned from the API may be truncated.
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v1/trusted_identity |
| Production | https://backend.worldoftulo.com/external/api/v1/trusted_identity |
Requirements¶
| Identity | Scope |
|---|---|
| No | /external/trusted_identity/r |
Parameters¶
| Name | Type | Description |
|---|---|---|
| id | String | The trusted_identity_id (or TID) received when creating the identification. |
Curl Example¶
curl --request GET \
--url https://payway-api.stage.adeprimo.se/external/api/v1/trusted_identity?id=507f1f77bcf86cd799439011 \
--header 'accept: application/json' \
--header 'authorization: Bearer token' \
--header 'content-type: application/json' \
Response¶
Successful response¶
HTTP 200
{
"item": {
"first_name": "Jane",
"last_name": "Doe",
"birth_date": "1990-05-17"
}
}
birth_date is formatted as YYYY-MM-DD. It is null if the identification did not include a birth date.
Errors¶
This API uses the common error conventions of the Payway API